summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:08 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:08 +0200
commit97538d8e35d91636909737416c0186a5ae7c4dc0 (patch)
tree838316ea881d774e13c63c08afed2b5038932801 /audio
parentb727933517f0fa6899487a3409b361fdef11113b (diff)
downloadslackbuilds-97538d8e35d91636909737416c0186a5ae7c4dc0.tar.gz
slackbuilds-97538d8e35d91636909737416c0186a5ae7c4dc0.tar.xz
audio/gmpc: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/gmpc/README5
-rw-r--r--audio/gmpc/doinst.sh3
-rw-r--r--audio/gmpc/gmpc.SlackBuild60
-rw-r--r--audio/gmpc/gmpc.info8
-rw-r--r--audio/gmpc/slack-desc11
5 files changed, 87 insertions, 0 deletions
diff --git a/audio/gmpc/README b/audio/gmpc/README
new file mode 100644
index 0000000000..92f73d3e6d
--- /dev/null
+++ b/audio/gmpc/README
@@ -0,0 +1,5 @@
+GMPC is a frontend for the mpd (Music Player Daemon). It's focused on
+being fast and easy to use, while making optimal use of all the
+functions in mpd.
+
+Requires libmpd and intltool, available at SlackBuilds.org
diff --git a/audio/gmpc/doinst.sh b/audio/gmpc/doinst.sh
new file mode 100644
index 0000000000..854e20633d
--- /dev/null
+++ b/audio/gmpc/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/audio/gmpc/gmpc.SlackBuild b/audio/gmpc/gmpc.SlackBuild
new file mode 100644
index 0000000000..962769c113
--- /dev/null
+++ b/audio/gmpc/gmpc.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for GMPC
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=gmpc
+VERSION=${VERSION:-0.15.5.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-configdir \
+ --enable-artist-browser
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/gmpc/gmpc.info b/audio/gmpc/gmpc.info
new file mode 100644
index 0000000000..c1ae8af31c
--- /dev/null
+++ b/audio/gmpc/gmpc.info
@@ -0,0 +1,8 @@
+PRGNAM="gmpc"
+VERSION="0.15.5.0"
+HOMEPAGE="http://sarine.nl/gmpc"
+DOWNLOAD="http://slackbuilds.org/sources/12.1//gmpc-0.15.5.0.tar.gz"
+MD5SUM="8d04d8f1bad663d037b107d1845d62e6"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero"
diff --git a/audio/gmpc/slack-desc b/audio/gmpc/slack-desc
new file mode 100644
index 0000000000..440780b75b
--- /dev/null
+++ b/audio/gmpc/slack-desc
@@ -0,0 +1,11 @@
+gmpc: GMPC (a frontend for the mpd)
+gmpc:
+gmpc: GMPC is a frontend for the mpd (Music Player Daemon). It's focused on
+gmpc: being fast and easy to use, while making optimal use of all the
+gmpc: functions in mpd.
+gmpc:
+gmpc:
+gmpc:
+gmpc:
+gmpc: http://sarine.nl/gmpc
+gmpc: